Move Folder
PATCH /api/creative/visual-studio/folders/{folder_id}/parent
PATCH
/api/creative/visual-studio/folders/{folder_id}/parent
Move a folder to a new parent (or root with null).
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” folder_id
required
Folder Id
string
Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Successful Response
VisualFolderOperationResponse
Response model for folder operations.
object
success
required
Success
Operation success status
boolean
folder
Any of:
VisualFolder
Visual folder model for organizing assets within a project.
object
id
required
Id
Folder ID
string
projectId
required
Projectid
Project ID
string
name
required
Name
Folder name
string
color
Color
Folder color hex
string
folderType
VisualFolderType
Folder type
string
createdAt
required
Createdat
Creation timestamp
integer
updatedAt
required
Updatedat
Last update timestamp
integer
null
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context